#include "pvr.h"

/// <summary>
/// 
/// </summary>
PVR::cBatchedQuad::cBatchedQuad(
	int16_t sX, int16_t sY, 
	uint16_t sW, uint16_t sH, 
	cTexture *pTexture, uint8_t ucTileId, 
	float fStartU, float fStartV, 
	float fEndU, float fEndV,
	uint32_t ulColour, int16_t sLayer) : PVR::cBatchedQuad::cBatchedQuad(sX, sY, sW, sH, ulColour, sLayer)
{	
	m_pTexture = pTexture;
	m_ucTileId = ucTileId;
	m_fStartU = fStartU;
	m_fStartV = fStartV;
	m_fEndU = fEndU;
	m_fEndV = fEndV;
}

PVR::cBatchedQuad::cBatchedQuad(
	int16_t sX, int16_t sY, 
	uint16_t sW, uint16_t sH, 	
	uint32_t ulColour, int16_t sLayer)
{		
	m_sX = sX;
	m_sY = sY; 
	m_sW = sW;
	m_sH = sH;
	m_pTexture = nullptr;		
	m_ulColour = ulColour;
	m_sLayer = sLayer;
}
